#!/usr/bin/env python3
# -*- coding: utf-8; -*-

import numpy as np
import os
import shutil

import fwk

from Metafor.Mparams.Metafor_call import Metafor_call

isUnix = lambda: os.name == 'posix'

def model(d):        
    d['Metafor_model_name'] = 'tube'
    Metafor_call(d)

    FcZ = np.genfromtxt("FcZ.ascii", dtype=None)

    sol = np.amax(FcZ)

    return sol  

