/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "wMshImport.h"

using namespace tbox;

MshImport::MshImport(std::shared_ptr<MshData> _msh) : wSharedObject(),
                                                      msh(_msh), verb(false)
{
}

void MshImport::load(std::string const &fname, int myrank)
{
    throw std::runtime_error("tbox::MshImport::load not implemented!\n");
}

void MshImport::load(std::string const &fname, Results &r, int n)
{
    throw std::runtime_error("tbox::MshImport::load not implemented!\n");
}
