# Copyright 2020 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

FIND_PROGRAM(CMAKE_CXX_COMPILER NAMES clang++)
FIND_PROGRAM(CMAKE_C_COMPILER   NAMES clang)
# vtk for py3
SET(VTK_DIR "/opt/vtk/lib/cmake/vtk-7.1" CACHE PATH "" FORCE)
# Trilinos not compiling with clang (check to wiki to fix)
LIST(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR})
INCLUDE(disable-trilinos)
